//Datei: InitPIC.c
// Rckwrtszhler mit PIC16F84
//
// Grundeinstellung des PIC
//
// Copyright 1999 by Holger Klabunde
// 30.04.2001
// Compiler PICC Lite


#include "prozess.h"      /* Der verwendete Prozessor */

#include "backcnt.h"
#include "protos.h"

//**************************************************
//**************************************************
//PIC Grundeinstellungen
//**************************************************
//**************************************************
void InitPIC()
{
 CLRWDT();         //Laut Datenblatt vor ndern Prescaler fr TMR0
 OPTION=0b11010100;	 //Prescaler 1:32 und Intern Clock fr TMR0	
 
// Der Takt des PIC betrgt 3.2768MHz
// Ein Maschinenzyklus damit 1.2207us

 //Ein TimerClock = 1.2207us * 32 = 39.0624us
 //TMR0 Interrupt alle 256 = 10ms
 //10ms * 10 = 0.1s
 
 TRISA=0x1F; // PortA 	alles Eingnge
 TRISB=0b01000000; // PortB 	alles Ausgnge auer PB6 

 PORTB=0x40;    //Definierten Zustand einstellen
 PORTA=0x1F;

 INTCON=0b10100000; //Enable Interrupts, TMR0 Interrupt
}
